
QGIS Application - Bug report #12205

Processing UnicodeDecodeError

2015-02-14 03:57 AM - Pedro Venâncio

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: Processing/GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 20394

Description

Couldn't load plugin processing due to an error when calling its initGui() method

Traceback (most recent call last):

  File "/usr/lib/python2.7/dist-packages/qgis/utils.py", line 228, in startPlugin

    plugins[packageName].initGui()

  File "/usr/share/qgis/python/plugins/processing/ProcessingPlugin.py", line 60, in initGui

    self.toolbox = ProcessingToolbox()

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 76, in __init__

    self.fillTree()

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 227, in fillTree

    self.fillTreeUsingProviders()

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 329, in fillTreeUsingProviders

    providerItem = TreeProviderItem(providerName)

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 368, in __init__

    self.populate()

  File "/usr/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 407, in populate

    + QCoreApplication.translate( "TreeProviderItem", " [{0} geoalgorithms]" ).format( count ) )

UnicodeDecodeError: 'ascii' codec can't decode byte 0xe7 in position 10: ordinal not in range(128)

Python version:

2.7.6 (default, Mar 22 2014, 23:03:14) 

[GCC 4.8.2]

QGIS version:

2.7.0-Master Master, exported

I think it is related to commit:4a44956

History

#1 - 2015-02-14 05:48 AM - Jürgen Fischer

which translation are you using?

#2 - 2015-02-14 06:46 AM - Pedro Venâncio

Hi Jurgen,
I've confirmed that the conflict is with the plugin [0] [1], which is written in portuguese.

[0] https://github.com/qgispt/processing_pttransform

[1] http://qgis.pt/plugins.html

#3 - 2015-02-14 07:45 AM - Jürgen Fischer

- Resolution set to up/downstream

- Status changed from Open to Closed

I think that is a plugin bug.  I filed this issue processing_pttransform !#16

#4 - 2015-02-16 03:26 PM - Pedro Venâncio

Thanks Jurgen, it's fixed now.
